apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: worker
  name: worker
spec:
  replicas: 1
  selector:
    matchLabels:
      app: worker
  template:
    metadata:
      labels:
        app: worker
    spec:
      containers:
      - image: registry.gitlab.com/one-touch-pipeline/weskit/api:latest
        name: worker
        workingDir: /weskit
        command:
          - "bash"
          - "-i"
          - "-c"
        args:
          - "conda activate weskit && celery --app weskit.tasks.celery_worker.celery_app worker --loglevel DEBUG --concurrency 1"
        env:
        - name: RESULT_BACKEND
          value: "redis://result-broker-svc:6379"
        - name: BROKER_URL
          value: "redis://result-broker-svc:6379"
        - name: WESKIT_CONFIG
          value: "/home/weskit/weskit_config/config.yaml"
        - name: WESKIT_WORKFLOWS
          value: "/weskit/workflows"
        volumeMounts:
          - name: data-volume
            mountPath: /data
            subPath: data
          - name: data-volume
            mountPath: /weskit/workflows
            subPath: workflows
          - name: config-volume
            mountPath: /home/weskit/weskit_config/log-config.yaml
            subPath: log-config.yaml
          - name: config-volume
            mountPath: /home/weskit/weskit_config/config.yaml
            subPath: config.yaml
      volumes:
      - name: data-volume
        persistentVolumeClaim:
          claimName: weskit-pvc
      - name: config-volume
        secret:
          secretName: rest-config-secret
          items:
            - key: config.yaml
              path: config.yaml
            - key: log-config.yaml
              path: log-config.yaml